use crate::entity::Entity;

pub fn serialize_into<T: Entity>(stmt: &mut sqlite::Statement, value: &T) -> sqlite::Result<()> {
    let mut i = 1;

    value.visit_values::<sqlite::Error, _>(&mut |val| {
        val.bind_to(stmt, i)?;
        i += 1;
        Ok(())
    })
}
